com.sun.java.xml.ns.javaee

## Class AddressingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.AddressingType

-     public class AddressingType
      extends Object

  This specifies the WS-Addressing requirements for a JAX-WS web service. It corresponds to javax.xml.ws.soap.Addressing annotation or its feature javax.xml.ws.soap.AddressingFeature. If the "enabled" element is "true", WS-Addressing is enabled. It means that the endpoint supports WS-Addressing but does not require its use. The default value for "enabled" is "true". If the WS-Addressing is enabled and the "required" element is "true", it means that the endpoint requires WS-Addressing. The default value for "required" is "false". If WS-Addressing is enabled, the "responses" element determines if an endpoint requires the use of only anonymous responses, or only non-anonymous responses, or all. The value of the "responses" element must be one of the following: ANONYMOUS NON_ANONYMOUS ALL The default value for the "responses" is ALL.

  Java-Klasse für addressingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="addressingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="enabled" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="required" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="responses" type="{http://java.sun.com/xml/ns/javaee}addressing-responsesType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TrueFalseType` | `enabled`
    `protected TrueFalseType` | `required`
    `protected AddressingResponsesType` | `responses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueFalseType` | `getEnabled()` Ruft den Wert der enabled-Eigenschaft ab.
    `TrueFalseType` | `getRequired()` Ruft den Wert der required-Eigenschaft ab.
    `AddressingResponsesType` | `getResponses()` Ruft den Wert der responses-Eigenschaft ab.
    `void` | `setEnabled(TrueFalseType value)` Legt den Wert der enabled-Eigenschaft fest.
    `void` | `setRequired(TrueFalseType value)` Legt den Wert der required-Eigenschaft fest.
    `void` | `setResponses(AddressingResponsesType value)` Legt den Wert der responses-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          protected TrueFalseType enabled

    - #### required

          protected TrueFalseType required

    - #### responses

          protected AddressingResponsesType responses

  - ### Constructor Detail

    - #### AddressingType

          public AddressingType()

  - ### Method Detail

    - #### getEnabled

          public TrueFalseType getEnabled()

      Ruft den Wert der enabled-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setEnabled

          public void setEnabled(TrueFalseType value)

      Legt den Wert der enabled-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getRequired

          public TrueFalseType getRequired()

      Ruft den Wert der required-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setRequired

          public void setRequired(TrueFalseType value)

      Legt den Wert der required-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getResponses

          public AddressingResponsesType getResponses()

      Ruft den Wert der responses-Eigenschaft ab.
      Returns:
        possible object is `AddressingResponsesType`

    - #### setResponses

          public void setResponses(AddressingResponsesType value)

      Legt den Wert der responses-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `AddressingResponsesType`

Copyright © 2015 buschmais GbR. All rights reserved.